# GPS_Logger

Im nachfolgendem werden wir euch zeigen, wie ihr euren eigenen GPS Logger verbauen könnt. Anschließend werden wir über Arduino den Code auf den GPS Logger draufspielen, sodass die einzelnen GPS-Koordinaten auf der SD Karte gespeichert werden, wenn dieser mit Strom versorgt wird. 

Ziel des GPS Loggers ist es, den Fahrer zu "tracken". Die einzelnen GPS-Koordinaten, die jede Sekunde auf der SD Karte gespeichert werden, verraten uns wo und wann der Fahrer unterwegs war. Es entsteht ein Datensatz mit den Koordinaten. Die Geschwindigkeit kann ebenfalls abgelest werden. Außerdem kann die gefahrene Strecke auf einer Karte visualisiert werden, sodass beispielsweise erkennbar ist, ob der Fahrer im Stau stand oder er mehrmals im gleichen Gebiet rumgefahren ist, da er beispielsweise keinen Parklplatz gefunden hat. 

Schauen wir uns nun die einzelnen Schritte an, damit ihr selber auch einen GPS Logger benutzen könnt. 

## **1. Benötigte Bauteile**

Die benötigten Bauteile werden im Folgendem mit den dazugehörigen Links aufgelistet, damit ihr sie direkt selber bestellen könnt:

1. ESP32: 
2. NEO-6M:
3. SD Card Module:
4. Antenne:  
5. 10 Kabel:

Zusätzlich benötigt ihr noch Kabel, um sie miteinander anzuschließen und eine SD Karte, die ihr in das SD Card Module reinstecken könnt. 

## **2. Bauteile zusammenbauen**

In der unteren Abbildung könnt ihr dann sehen, wie ihr die Bauteile miteinander verbinden müsst, damit ihr einen funktionierenden GPS Logger besitzt. Die Antenne wird im NEO-6M verbaut. 

![image](/uploads/6ca5cfec8c0c9c9c85754c9d5ed896de/image.png)

## **.3. Code über Arduino draufspielen**

Nachdem alle Bauteile, wie im Bild angeschlossen sind, muss nur noch der Code auf den GPS Logger draufgespielt werden. Dazu benötigen wir das Programm Arduino, welches ihr euch unter folgendem Link runterladen könnt. 

Arduino: https://www.arduino.cc/en/software 

Anschließend öffnen wir das Programm und kopieren den Code uns raus, den ihr im Ordner "Code" finden könnt. 

